Bug 1037139 - irssi FTBFS if "-Werror=format-security" flag is used
Summary: irssi FTBFS if "-Werror=format-security" flag is used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: irssi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1038083
TreeView+ depends on / blocked
 
Reported: 2013-12-03 03:13 UTC by Dhiru Kholia
Modified: 2014-03-25 03:45 UTC (History)
4 users (show)

Fixed In Version: irssi-0.8.16-0.3.rc1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-04 13:31:52 UTC


Attachments (Terms of Use)

Description Dhiru Kholia 2013-12-03 03:13:46 UTC
Description of problem
----------------------

irssi fails to build if "-Werror=format-security" flag is used.

...

network.c:359:10: error: format not a string literal and no format arguments [-Werror=format-security]
network.c:380:10: error: format not a string literal and no format arguments [-Werror=format-security]

...

We are working on a proposal to enable "-Werror=format-security" for all
packages. Once this flag is enabled, GCC will refuse to compile code that could
be vulnerable to a string format security flaw. For more details, please see
https://fedorahosted.org/fesco/ticket/1185 page.

To understand why it is important to fix this, please see
https://fedoraproject.org/wiki/Format-Security-FAQ page.

How to fix this
---------------

The fix for these errors is quite simple. It's a matter of changing a
line like,

   printf(foo);

to read,

   printf("%s", foo);

That's it.

Please fix this issue in rawhide with a patch (which you should submit
to upstream to merge moving forward). Please do a new build with the
fix in rawhide. Other releases do not need to be directly fixed, but
there should be no harm in pushing out this fix/patch with other needed
changes to those branches.

In the event you don't fix this bug before the next mass rebuild,
provenpackagers may step in and update your package(s) to fix this
issue.

How reproducible
----------------

Build irssi-0.8.16-0.1.rc1.fc21.src.rpm with "-Werror=format-security" flag to reproduce the problem.

To make this process easier, you can use a modified "redhat-rpm-config" package
from http://people.fedoraproject.org/~halfie/artifacts/redhat-rpm-config/ URL.

$ sha256sum redhat-rpm-config-9.1.0-56.fc20.*
faad7594b2080fe76497d0ce50808c905a93dd7b41c1defdde5ca57e3833d3d2  redhat-rpm-config-9.1.0-56.fc20.noarch.rpm
5aa9357174305c7285ffdbc92d7ffe1c07a8a95d5459b930461308f5aad75413  redhat-rpm-config-9.1.0-56.fc20.src.rpm

Comment 1 Fedora Update System 2013-12-06 10:05:44 UTC
irssi-0.8.16-0.3.rc1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/irssi-0.8.16-0.3.rc1.fc20

Comment 2 Fedora Update System 2013-12-27 05:58:33 UTC
irssi-0.8.16-0.3.rc1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.